.calendar-skeleton-table-header {
  border-collapse: unset !important;
  border-spacing: 2px !important;
  border: #e1e1e1 #dcdcdc #e1e1e1 #c1c1c1;
}

.calendar-skeleton-view-type,
.calendar-skeleton-datepicker,
.calendar-skeleton-room {
  min-width: 159px;
  height: 32px;
}

.calendar-skeleton-room,
.calendar-skeleton-day-cell {
  height: 40px;
  background: #fff;
}
.calendar-skeleton-room:first-child,
.calendar-skeleton-day-cell:first-child {
  border-top: 1px solid #e0e0e0;
}
.calendar-skeleton-room:last-child,
.calendar-skeleton-day-cell:last-child {
  border-bottom: 1px solid #e0e0e0;
  border-right: 1px solid #e0e0e0;
}

.calendar-skeleton-room-name {
  display: block;
  height: 15px;
  width: 70px;
  margin: 0 auto;
  background: #cccccc;
  border-radius: 10px;
}

.calendar-skeleton-month > span,
.calendar-skeleton-view-type > span,
.calendar-skeleton-datepicker > span {
  min-width: 50px;
  display: block;
  margin: 0 auto;
}

.calendar-skeleton-month {
  width: 100%;
}

.calendar-skeleton-datepicker {
  height: 57px;
}
.calendar-skeleton-datepicker > span {
  min-width: 90px;
}

.calendar-skeleton-day-container {
  width: 150px;
}
.calendar-skeleton-day-container > * {
  margin-left: 2px;
}

.calendar-skeleton-day,
.calendar-skeleton-day-number {
  display: inline-block;
  font-family: sans-serif;
  margin-bottom: 2px;
  width: 30px;
  height: 10px;
  border-radius: 10px;
  padding: 2px;
  color: #fff;
  background: rgba(255, 255, 255, 0.2) !important;
}

.calendar-skeleton-day-number {
  width: 20px;
  height: 10px;
}

.calendar-skeleton {
  position: relative;
  overflow: hidden;
  background: rgba(255, 255, 255, 0.1);
}
.calendar-skeleton::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(90deg, rgba(255, 255, 255, 0.1), rgba(255, 255, 255, 0.3), rgba(255, 255, 255, 0.1));
  animation: progress 1s ease-in-out infinite;
}

.calendar-skeleton-blank-space {
  height: 10px;
}

.calendar-skeleton-room {
  border: 1px solid #ccc;
  border-collapse: collapse !important;
}

.calendar-skeleton-room-name-cell {
  background: #e0e0e0;
}

.calendar-skeleton-room-name {
  background: rgba(0, 0, 0, 0.05);
}
.calendar-skeleton-room-name::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(90deg, rgba(255, 255, 255, 0.08), #d9d9d9, rgba(255, 255, 255, 0.08));
  animation: progress 1s ease-in-out infinite;
}

.calendar-skeleton-option {
  margin-left: 5px;
  height: 20px;
}

@keyframes progress {
  0% {
    transform: translate3d(-100%, 0, 0);
  }
  100% {
    transform: translate3d(100%, 0, 0);
  }
}